using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Valg.EVA.Skanning.UserInterfaceElements;
using Valg.EVA.Skanning.Verify.Startup.VerifyBallotPaper.BallotPaperXOfY;

namespace Valg.EVA.Skanning.Sample.Startup.Box
{
    public class BallotPaperXOfYViewModel : ViewModelBase, IBallotPaperXOfYViewModel
    {
        private int _total;
        private int _current;
        public int Total
        {
            get => _total;
            set
            {
                _total = value;
                OnPropertyChanged(nameof(Total));
                OnPropertyChanged(nameof(Range));
            }
        }
        public int Current
        {
            get => _current;
            set { _current = value; OnPropertyChanged(nameof(Current)); }
        }
        public ObservableCollection<int> Range => new ObservableCollection<int>(Enumerable.Range(1, Total));
    }
}

